Skip to main content
POST
List workflow jobs

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<int64>
required

The unique numerical identifier of the deployment. Can be found via the Deployments Service or in your Settings in the web UI.

Example:

"1234"

Body

application/json
pageSize
integer<int64>

Maximum number of jobs to return per page.

cursor
string

Opaque pagination cursor returned as next_cursor in a previous response.

filter
object

Optional filters to narrow the result set.

sortColumn
string

Field to sort by. Supported values: "started_at", "status", "workflow_type".

sortDirection
enum<string>

Sort direction.

Available options:
SORT_DIRECTION_ASC,
SORT_DIRECTION_DESC

Response

200 - application/json

OK

jobs
object[]
nextCursor
string